Intellij Error: Please select a module with a valid Python SDK

Problem

Running python code in Intellij or PyCharm produce error:

Error: Please select a module with a valid Python SDK

Solution Add New SDK

Note: you need to have python installed on your machine before to apply this solution.

  • Go to File... (from the menu)
  • Project Structure
  • Select Project from the Project Settings list
  • Click New...
  • Python SDK
  • Add Local
  • Select your local installation of python - i.e. from the available list with pythons - Python 2.7.6
  • Apply and OK

Optional if needed

  • Edit Configurations ... - in the right up corner
  • Go to your script
  • Python
  • script configuration - from the left menu
  • on Tab Configuration
  • Python Interpreter
  • Chose the SDK that you configured earlier - Python 2.7.6

The same solution can be applied for java.

Related Article